# Uses of Enum
org.italiangrid.voms.util.CertificateValidatorBuilder.OpensslHashFunction

Packages that use CertificateValidatorBuilder.OpensslHashFunction
Package
Description
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of CertificateValidatorBuilder.OpensslHashFunction in org.italiangrid.voms.util

Fields in org.italiangrid.voms.util declared as CertificateValidatorBuilder.OpensslHashFunction
Modifier and Type
Field
Description
`static final CertificateValidatorBuilder.OpensslHashFunction`
CertificateValidatorBuilder.`DEFAULT_OPENSSL_HASH_FUNCTION`
The default Openssl hash function value.
Methods in org.italiangrid.voms.util that return CertificateValidatorBuilder.OpensslHashFunction
Modifier and Type
Method
Description
`static CertificateValidatorBuilder.OpensslHashFunction`
CertificateValidatorBuilder.OpensslHashFunction.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CertificateValidatorBuilder.OpensslHashFunction[]`
CertificateValidatorBuilder.OpensslHashFunction.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.italiangrid.voms.util with parameters of type CertificateValidatorBuilder.OpensslHashFunction
Modifier and Type
Method
Description
`CertificateValidatorBuilder`
CertificateValidatorBuilder.`opensslHashFunction(CertificateValidatorBuilder.OpensslHashFunction f)`
Sets the openssl hash function for this builder